package com.kingdee.eas.custom.permissioncontrol;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractPermApplyBillInfo extends com.kingdee.eas.hr.base.HRBillBaseInfo implements Serializable 
{
    public AbstractPermApplyBillInfo()
    {
        this("id");
    }
    protected AbstractPermApplyBillInfo(String pkField)
    {
        super(pkField);
        put("rolePermApplys", new com.kingdee.eas.custom.permissioncontrol.PermApplyBillRolePermApplyCollection());
        put("hisRolePermApplyHis", new com.kingdee.eas.custom.permissioncontrol.PermApplyBillHisRolePermApplyHiCollection());
        put("orgScopeApply", new com.kingdee.eas.custom.permissioncontrol.PermApplyBillOrgScopeApplyCollection());
        put("hisOrgScopeApplyEntry", new com.kingdee.eas.custom.permissioncontrol.PermApplyBillHisOrgScopeApplyEntryCollection());
    }
    /**
     * Object:权限申请单's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object:权限申请单's 生效日期property 
     */
    public java.util.Date getEffectiveDate()
    {
        return getDate("effectiveDate");
    }
    public void setEffectiveDate(java.util.Date item)
    {
        setDate("effectiveDate", item);
    }
    /**
     * Object:权限申请单's 申请原因property 
     */
    public String getApplyReason()
    {
        return getString("applyReason");
    }
    public void setApplyReason(String item)
    {
        setString("applyReason", item);
    }
    /**
     * Object: 权限申请单 's 申请人 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getApplyPerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("applyPerson");
    }
    public void setApplyPerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("applyPerson", item);
    }
    /**
     * Object: 权限申请单 's 角色权限申请明细分录 property 
     */
    public com.kingdee.eas.custom.permissioncontrol.PermApplyBillRolePermApplyCollection getRolePermApplys()
    {
        return (com.kingdee.eas.custom.permissioncontrol.PermApplyBillRolePermApplyCollection)get("rolePermApplys");
    }
    /**
     * Object: 权限申请单 's 组织范围申请明细分录 property 
     */
    public com.kingdee.eas.custom.permissioncontrol.PermApplyBillOrgScopeApplyCollection getOrgScopeApply()
    {
        return (com.kingdee.eas.custom.permissioncontrol.PermApplyBillOrgScopeApplyCollection)get("orgScopeApply");
    }
    /**
     * Object: 权限申请单 's 历史角色权限申请明细分录 property 
     */
    public com.kingdee.eas.custom.permissioncontrol.PermApplyBillHisRolePermApplyHiCollection getHisRolePermApplyHis()
    {
        return (com.kingdee.eas.custom.permissioncontrol.PermApplyBillHisRolePermApplyHiCollection)get("hisRolePermApplyHis");
    }
    /**
     * Object: 权限申请单 's 历史组织范围申请明细分录 property 
     */
    public com.kingdee.eas.custom.permissioncontrol.PermApplyBillHisOrgScopeApplyEntryCollection getHisOrgScopeApplyEntry()
    {
        return (com.kingdee.eas.custom.permissioncontrol.PermApplyBillHisOrgScopeApplyEntryCollection)get("hisOrgScopeApplyEntry");
    }
    /**
     * Object:权限申请单's 是否已生效property 
     */
    public boolean isIsEffective()
    {
        return getBoolean("isEffective");
    }
    public void setIsEffective(boolean item)
    {
        setBoolean("isEffective", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("42CD5620");
    }
}